﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="EditCustomAddress.aspx.cs" Inherits="Mogul.SeoManager.modules.MogulSeoUrl.EditCustomAddress, Mogul.SeoManager" %>
<%@ Register Src="UserControls/PagePicker.ascx" TagName="PagePicker" TagPrefix="uc" %>
<%@ Register Src="UserControls/HeaderRegion.ascx" TagName="HeaderRegion" TagPrefix="uc" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Edit custom address</title>
    <meta http-equiv="x-ua-compatible" content="ie=edge" />
    <uc:HeaderRegion runat="server" />
</head>
<body id="edit-modal" class="edCustAdr">
    <form id="form1" runat="server" EnableViewState="true" onsubmit="return checkIsLanguageWrong();">
	    <div class="modal">
            <h3><%=ViewModel.HeadingAddUrls%></h3>
            <hr/>
            <asp:PlaceHolder runat="server" ID="phAdd" Visible="True">
                <label><strong><%=ViewModel.HeadingRedirectingFrom%></strong> <%= ViewModel.HeadingRedirectingFromExample %></label>
                <div class="filter">
                    <input runat="server" type="hidden" id="txthidSelectedUrlId" class="txthidSelectedUrlId"/>
                    <input runat="server" type="text" id="txtRequestUrl" size="50" class="txtRequestUrl"/>
                    <input runat="server" type="hidden" id="txthidSelectedNodeId" class="txthidSelectedNodeId"/>
                </div>
                <hr/>
                <label><strong><%=ViewModel.HeadingRedirectingTo%></strong> <br/><%= ViewModel.HeadingCustomUrl%></label>
                <div class="filter">
                    <input runat="server" type="text" id="txtRedirectedUrl" size="50" class="txtRedirectedUrl"/>
                </div>
                <label><%=ViewModel.Choose%></label>
                <div class="filter">
                    <asp:DropDownList ID="ddLanguages" runat="server" AutoPostBack="True" OnSelectedIndexChanged="ddLanguages_OnSelectedIndexChanged"/>
                </div>
                <div class="filter">
                    <asp:CheckBox ID="cbPreserve" runat="server" />
                </div>
                <div class="treeContainer">
                    <div class="treeframe">
                        <uc:PagePicker ID="PagePicker" runat="server" />
                    </div>
                </div>
		        <br />
		        <asp:Button ID="btnRedirect" runat="server" OnClick="btnRedirectClick" CssClass="addbutton" />
            </asp:PlaceHolder>
            <asp:PlaceHolder runat="server" ID="phSuccess" Visible="False">
                 <script type="text/javascript" language="javascript">
                     $(document).ready(function () {
                         closeModalFromIframe();
                     });
                </script>
            </asp:PlaceHolder>
	    </div>
    </form>
    <script type="text/javascript" language="javascript">
        function checkIsLanguageWrong() {
            var ddLanguages = document.getElementById("<%= ddLanguages.ClientID %>");
            var txtRequestURL = document.getElementById("<%= txtRequestUrl.ClientID %>").value.toLowerCase();
            var selLanguageValue = ddLanguages.options[ddLanguages.selectedIndex].value.toLowerCase();
            var selLanguageText = ddLanguages.options[ddLanguages.selectedIndex].text.toLowerCase();
            if (txtRequestURL.indexOf(selLanguageValue + "/") != 0 && txtRequestURL.indexOf(selLanguageValue + "/") != 1) {
                for (var i = 0; i < ddLanguages.options.length; i++) {
                    if (txtRequestURL.indexOf(ddLanguages.options[i].value.toLowerCase() + "/") == 0 ||
                        txtRequestURL.indexOf(ddLanguages.options[i].value.toLowerCase() + "/") == 1) {
                        var message = '<%= ViewModel.LanguageWarning %>';
                        return window.confirm(message.replace("{0}", ddLanguages.options[i].value).replace("{1}", ddLanguages.options[ddLanguages.selectedIndex].text));
                    }
                }
            }
            return true;
        }

        $(function () {
            $('#jstree').on('changed.jstree', function (e, data) {
                $('#txtRedirectedUrl').val(data.node.li_attr.title);
                $('#txthidSelectedNodeId').val(data.node.id);
            });
        });
    </script>
</body>
</html>