﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="LoadNotFoundUrlsFromGoogle.aspx.cs" Inherits="Mogul.SeoManager.modules.MogulSeoUrl.LoadNotFoundUrlsFromGoogle, Mogul.SeoManager" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
    <head runat="server">
        <title><%= ViewModel.Heading %></title>
        <script type="text/javascript" src="js/libs/jquery-1.9.1.min.js"></script>
        <link rel="stylesheet" href="css/style.css?v=1.16" />
    </head>
    <body id="edit-modal">
        <form id="form1" runat="server" EnableViewState="true">
            <div class="modal">
                <h3><%= ViewModel.Heading %></h3>
                <hr/>
                <asp:PlaceHolder ID="phLogin" runat="server">
                    <table>
                        <tr><td><%= ViewModel.Username %>:</td><td><asp:TextBox ID="txtUsername" runat="server" /></td></tr>
                        <tr><td><%= ViewModel.Password %>:</td><td><asp:TextBox ID="txtPassword" TextMode="Password" runat="server" /></td></tr>
                    </table>
                    <div class="filter">
                    	<asp:Button ID="btnFetch" runat="server" OnClick="btnFetch_Click" /><br />
                    	<asp:Label ID="lblMessage" runat="server" /><br />
                        <i>
                            <%= ViewModel.Note1 %>
                            <a href="https://www.google.com/settings/security/lesssecureapps?pli=1" target="_blank">https://www.google.com/settings/security/lesssecureapps?pli=1</a><br />
                            <%= ViewModel.Note2 %>
                            <a href="https://accounts.google.com/DisplayUnlockCaptcha" target="_blank">https://accounts.google.com/DisplayUnlockCaptcha</a>
                        </i>
                    </div>
                </asp:PlaceHolder>
                <asp:PlaceHolder ID="phSites" runat="server" Visible="false">
                    <table class="f14">
                        <tr>
                            <td colspan="2"><%= ViewModel.YourSites %>:</td>
                            <td><asp:LinkButton ID="lbLoginAgain" OnClick="lbLoginAgain_Click" runat="server" /></td>
                        </tr>
                        <tr>
                            <td>&nbsp;</td>
                            <td><asp:DropDownList ID="ddlSites" runat="server" />&nbsp;&nbsp;</td>
                            <td><asp:LinkButton ID="lbGetUlrs" OnClick="lbGetUlrs_Click" runat="server" /></td>
                        </tr>
                    </table>
                </asp:PlaceHolder>
                <asp:PlaceHolder ID="phURLs" runat="server" Visible="false">
                    <div class="filter f14">
                    <%= ViewModel.DuplicatedUrlsWarning %><br />
                    <asp:Literal ID="litURLs" runat="server" />
                    <asp:Repeater ID="rptURLs" runat="server">
                        <HeaderTemplate><div class="rptUrls"></HeaderTemplate>
                        <ItemTemplate><asp:CheckBox ID="cb" runat="server" Checked="true" /> <%# Container.DataItem %><br /></ItemTemplate>
                        <FooterTemplate></div></FooterTemplate>
                    </asp:Repeater><br />
                    <asp:Button ID="btnCommit" runat="server" OnClick="btnCommit_Click" Visible="false" />
                    </div>
                </asp:PlaceHolder>
                <asp:PlaceHolder ID="phImpSuccess" runat="server" Visible="false">
                    <asp:Label ID="lblImportSuccess" runat="server" />
                </asp:PlaceHolder>
            </div>
        </form>
    </body>
</html>