﻿define([
"dojo/_base/declare",

"epi/_Module",
"epi/routes"
],

function (declare, _Module, routes) {

    return declare([_Module], {
        // summary:
        //		Sample module initializer.
        //

        initialize: function () {
            // summary:
            //		Initialize module
            //
            // description:
            //      Creates and register content link data store.
            //
            this.inherited(arguments);

            var contentLinkStoreUrl = routes.getRestPath({ moduleArea: "Mogul.SeoManager.PackageInitializer", storeName: "contentlinkdata" });
            var registry = this.resolveDependency("epi.storeregistry");
            registry.create("epi.samples.contentlinkdata", contentLinkStoreUrl);
        }
    });
});
