﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Header.ascx.cs" Inherits="Mogul.SeoManager.modules.MogulSeoUrl.UserControls.Header, Mogul.SeoManager"%>
<%@ Import Namespace="Mogul.SeoManager.Logic.Common" %>
<header class="clearfix">
    <asp:Panel ID="pnlLicense" runat="server" CssClass="licenseMessage" Visible="False">
        <%= errorMessage %>
    </asp:Panel>
    <asp:Panel ID="pnlUrlsNotGenerated" runat="server" CssClass="treeNotGeneratedMessage" Visible="False">
        <%= ViewModel.SiteTreeNotGeneratedErrorMessage %>
    </asp:Panel>
    <a href='<%= ResolveUrl("../AdminDefault.aspx") %>' title='Start'><img class="logo" src="img/seo-manager-application.jpg" alt="Mogul SEO Manager" /></a>
    <% if (menuItems != null) { %>
    <div id="piMenu">
    <ul>
        <% foreach (PageProviderMenuItem mI in menuItems)
            { %>
        <li <%= mI.Selected ? "class='selected'" : "" %>><a href="?pn=<%= mI.ProviderName %>"><%= mI.DisplayName %></a></li>
        <% } %>
    </ul>
    </div>
    <% } %>
    <a class="helpButton" onclick="window.open('http://www.mogul.com/en/seo-manager/seo-manager-help','_blank', 'scrollbars=yes, height=500, location=no, menubar=no, resizable=yes, toolbar=no, width=840');return false;" title="Help" href="http://www.mogul.com/en/seo-manager/seo-manager-help" target="_blank">
        <img src="/App_Themes/Default/Images/Tools/Help.png" border="0" alt="Help" />
    </a>
</header>